
	COMMENT ON TYPE box2d IS 'postgis type: Ein Quader der aus Xmin, Ymin, Zmin, Xmax, Ymax und Zmax gebildet wird. Wird oft verwendet, um die 3D Ausdehnung einer Geometrie oder einer Sammelgeometrie zu erhalten.';

	COMMENT ON TYPE box3d IS 'postgis type: Ein Quader der aus Xmin, Ymin, Zmin, Xmax, Ymax und Zmax gebildet wird. Wird oft verwendet, um die 3D Ausdehnung einer Geometrie oder einer Sammelgeometrie zu erhalten.';

	COMMENT ON TYPE geometry IS 'postgis type: Der geographische Datentyp "Geography" wird zur Abbildung eines Geoobjektes im geographischen Kugelkoordinatensystem verwendet.';

	COMMENT ON TYPE geometry_dump IS 'postgis type: A composite type used to describe the parts of complex geometry.';

	COMMENT ON TYPE geography IS 'postgis type: The type representing spatial features with geodetic (ellipsoidal) coordinate systems.';

COMMENT ON FUNCTION AddGeometryColumn(varchar , varchar , integer , varchar , integer , boolean ) IS 'args: table_name, column_name, srid, type, dimension, use_typmod=true - Entfernt eine Geometriespalte aus einer räumlichen Tabelle.';
			
COMMENT ON FUNCTION AddGeometryColumn(varchar , varchar , varchar , integer , varchar , integer , boolean ) IS 'args: schema_name, table_name, column_name, srid, type, dimension, use_typmod=true - Entfernt eine Geometriespalte aus einer räumlichen Tabelle.';
			
COMMENT ON FUNCTION AddGeometryColumn(varchar , varchar , varchar , varchar , integer , varchar , integer , boolean ) IS 'args: catalog_name, schema_name, table_name, column_name, srid, type, dimension, use_typmod=true - Entfernt eine Geometriespalte aus einer räumlichen Tabelle.';
			
COMMENT ON FUNCTION DropGeometryColumn(varchar , varchar ) IS 'args: table_name, column_name - Entfernt eine Geometriespalte aus einer räumlichen Tabelle.';
			
COMMENT ON FUNCTION DropGeometryColumn(varchar , varchar , varchar ) IS 'args: schema_name, table_name, column_name - Entfernt eine Geometriespalte aus einer räumlichen Tabelle.';
			
COMMENT ON FUNCTION DropGeometryColumn(varchar , varchar , varchar , varchar ) IS 'args: catalog_name, schema_name, table_name, column_name - Entfernt eine Geometriespalte aus einer räumlichen Tabelle.';
			
COMMENT ON FUNCTION DropGeometryTable(varchar ) IS 'args: table_name - Löscht eine Tabelle und alle Referenzen in dem geometry_columns View.';
			
COMMENT ON FUNCTION DropGeometryTable(varchar , varchar ) IS 'args: schema_name, table_name - Löscht eine Tabelle und alle Referenzen in dem geometry_columns View.';
			
COMMENT ON FUNCTION DropGeometryTable(varchar , varchar , varchar ) IS 'args: catalog_name, schema_name, table_name - Löscht eine Tabelle und alle Referenzen in dem geometry_columns View.';
			
COMMENT ON FUNCTION () IS 'Returns the SRID defined for a geometry column.';
			
COMMENT ON FUNCTION Populate_Geometry_Columns(boolean ) IS 'args: use_typmod=true - Ensures geometry columns are defined with type modifiers or have appropriate spatial constraints.';
			
COMMENT ON FUNCTION Populate_Geometry_Columns(oid, boolean ) IS 'args: relation_oid, use_typmod=true - Ensures geometry columns are defined with type modifiers or have appropriate spatial constraints.';
			
COMMENT ON FUNCTION UpdateGeometrySRID(varchar , varchar , integer ) IS 'args: table_name, column_name, srid - Updates the SRID of all features in a geometry column, and the table metadata.';
			
COMMENT ON FUNCTION UpdateGeometrySRID(varchar , varchar , varchar , integer ) IS 'args: schema_name, table_name, column_name, srid - Updates the SRID of all features in a geometry column, and the table metadata.';
			
COMMENT ON FUNCTION UpdateGeometrySRID(varchar , varchar , varchar , varchar , integer ) IS 'args: catalog_name, schema_name, table_name, column_name, srid - Updates the SRID of all features in a geometry column, and the table metadata.';
			
COMMENT ON FUNCTION ST_GeomFromGeoJSON(text ) IS 'args: geomjson - Creates a GeometryCollection or Multi* geometry from a set of geometries.';
			
COMMENT ON FUNCTION ST_GeomFromGeoJSON(json ) IS 'args: geomjson - Creates a GeometryCollection or Multi* geometry from a set of geometries.';
			
COMMENT ON FUNCTION ST_GeomFromGeoJSON(jsonb ) IS 'args: geomjson - Creates a GeometryCollection or Multi* geometry from a set of geometries.';
			
COMMENT ON FUNCTION ST_LineFromMultiPoint(geometry ) IS 'args: aMultiPoint - Erzeugt einen LineString aus einer MultiPoint Geometrie.';
			
COMMENT ON FUNCTION ST_MakeEnvelope(double precision, double precision, double precision, double precision, integer ) IS 'args: xmin, ymin, xmax, ymax, srid=unknown - Erzeugt ein rechteckiges Polygon aus den gegebenen Minimum- und Maximumwerten. Die Eingabewerte müssen in dem Koordinatenreferenzsystem sein, welches durch die SRID angegeben wird.';
			
COMMENT ON AGGREGATE ST_MakeLine(geometry) IS 'args: geoms - Erzeugt einen Linienzug aus einer Punkt-, Mehrfachpunkt- oder Liniengeometrie.';
			
COMMENT ON FUNCTION ST_MakeLine(geometry, geometry) IS 'args: geom1, geom2 - Erzeugt einen Linienzug aus einer Punkt-, Mehrfachpunkt- oder Liniengeometrie.';
			
COMMENT ON FUNCTION ST_MakeLine(geometry[]) IS 'args: geoms_array - Erzeugt einen Linienzug aus einer Punkt-, Mehrfachpunkt- oder Liniengeometrie.';
			
COMMENT ON FUNCTION ST_Point(float , float ) IS 'args: x_lon, y_lat - Erzeugt eine 2D-, 3DZ- oder 4D-Punktgeometrie.';
			
COMMENT ON FUNCTION ST_MakePointM(float, float, float) IS 'args: x, y, m - Erzeugt eine 2D-, 3DZ- oder 4D-Punktgeometrie.';
			
COMMENT ON FUNCTION ST_MakePoint(double precision, double precision, double precision, double precision) IS 'args: x, y, z, m - Erzeugt eine 2D-, 3DZ- oder 4D-Punktgeometrie.';
			
COMMENT ON FUNCTION ST_MakePointM(float, float, float) IS 'args: x, y, m - Erzeugt einen Punkt mit x, y und measure/Kilometrierungs Koordinaten.';
			
COMMENT ON FUNCTION ST_MakePolygon(geometry) IS 'args: linestring - Creates a Polygon from a shell and optional list of holes.';
			
COMMENT ON FUNCTION ST_MakePolygon(geometry, geometry[]) IS 'args: outerlinestring, interiorlinestrings - Creates a Polygon from a shell and optional list of holes.';
			
COMMENT ON FUNCTION ST_Point(float , float ) IS 'args: x_lon, y_lat - Gibt einen ST_Point mit den gegebenen Koordinatenwerten aus. Ein OGC-Alias für ST_MakePoint.';
			
COMMENT ON FUNCTION ST_Polygon(geometry , integer ) IS 'args: aLineString, srid - Creates a Polygon from a LineString with a specified SRID.';
			
COMMENT ON FUNCTION ST_MakePoint(double precision, double precision, double precision, double precision) IS 'args: x, y, z, m - Creates a rectangular Polygon in Web Mercator (SRID:3857) using the XYZ tile system.';
			
COMMENT ON FUNCTION ST_Point(float , float ) IS 'args: x_lon, y_lat - Returns a set of hexagons and cell indices that completely cover the bounds of the geometry argument.';
			
COMMENT ON FUNCTION ST_Point(float , float ) IS 'args: x_lon, y_lat - Returns a set of grid squares and cell indices that completely cover the bounds of the geometry argument.';
			
COMMENT ON FUNCTION ST_MakePoint(double precision, double precision, double precision, double precision) IS 'args: x, y, z, m - Returns a single hexagon, using the provided edge size and cell coordinate within the hexagon grid space.';
			
COMMENT ON FUNCTION ST_MakePoint(double precision, double precision, double precision, double precision) IS 'args: x, y, z, m - Returns a single square, using the provided edge size and cell coordinate within the hexagon grid space.';
			
COMMENT ON FUNCTION GeometryType(geometry ) IS 'args: geomA - Gibt den Geometrietyp des ST_Geometry Wertes zurück.';
			
COMMENT ON FUNCTION ST_Boundary(geometry ) IS 'args: geomA - Gibt die abgeschlossene Hülle aus der kombinierten Begrenzung der Geometrie zurück.';
			
COMMENT ON FUNCTION ST_CoordDim(geometry ) IS 'args: geomA - Gibt die Dimension der Koordinaten für den Wert von ST_Geometry zurück.';
			
COMMENT ON FUNCTION ST_Dimension(geometry ) IS 'args: g - Gibt die Dimension der Koordinaten für den Wert von ST_Geometry zurück.';
			
COMMENT ON FUNCTION ST_Envelope(geometry ) IS 'args: g1 - Returns a set of geometry_dump rows for the components of a geometry.';
			
COMMENT ON FUNCTION ST_Points(geometry) IS 'args: geom - Returns a set of geometry_dump rows for the points in a geometry.';
			
COMMENT ON FUNCTION ST_ExteriorRing(geometry ) IS 'args: a_polygon - Returns a set of geometry_dump rows for the exterior and interior rings of a Polygon.';
			
COMMENT ON FUNCTION ST_Points(geometry) IS 'args: geom - Gibt die Anzahl der Stützpunkte eines ST_LineString oder eines ST_CircularString zurück.';
			
COMMENT ON FUNCTION ST_Envelope(geometry ) IS 'args: g1 - Gibt eine Geometrie in doppelter Genauigkeit (float8) zurück, welche das Umgebungsrechteck der beigestellten Geometrie darstellt.';
			
COMMENT ON FUNCTION ST_BoundingDiagonal(geometry , boolean ) IS 'args: geom, fits=false - Gibt die Diagonale des Umgebungsdreiecks der angegebenen Geometrie zurück.';
			
COMMENT ON FUNCTION ST_ExteriorRing(geometry ) IS 'args: a_polygon - Gibt die Anzahl der inneren Ringe einer Polygongeometrie aus.';
			
COMMENT ON FUNCTION ST_GeometryN(geometry , integer ) IS 'args: geomA, n - Gibt den Geometrietyp des ST_Geometry Wertes zurück.';
			
COMMENT ON FUNCTION ST_GeometryType(geometry ) IS 'args: g1 - Gibt den Geometrietyp des ST_Geometry Wertes zurück.';
			
COMMENT ON FUNCTION ST_IsEmpty(geometry ) IS 'args: geomA - Tests if a geometry contains a circular arc';
			
COMMENT ON FUNCTION ST_InteriorRingN(geometry , integer ) IS 'args: a_polygon, n - Gibt die Anzahl der inneren Ringe einer Polygongeometrie aus.';
			
COMMENT ON FUNCTION ST_IsPolygonCCW(geometry) IS 'args: geom - Gibt TRUE zurück, wenn alle äußeren Ringe gegen den Uhrzeigersinn orientiert sind und alle inneren Ringe im Uhrzeigersinn ausgerichtet sind.';
			
COMMENT ON FUNCTION ST_IsPolygonCW(geometry) IS 'args: geom - Gibt den Wert TRUE zurück, wenn alle äußeren Ringe im Uhrzeigersinn und alle inneren Ringe gegen den Uhrzeigersinn ausgerichtet sind.';
			
COMMENT ON FUNCTION ST_IsClosed(geometry ) IS 'args: g - Gibt den Wert TRUE zurück, wenn die Anfangs- und Endpunkte des LINESTRINGs zusammenfallen. Bei polyedrischen Oberflächen, wenn sie geschlossen (volumetrisch) sind.';
			
COMMENT ON FUNCTION ST_IsCollection(geometry ) IS 'args: g - Gibt den Wert TRUE zurück, falls es sich bei der Geometrie um eine leere GeometryCollection, Polygon, Point etc. handelt.';
			
COMMENT ON FUNCTION ST_IsEmpty(geometry ) IS 'args: geomA - Tests if a geometry is empty.';
			
COMMENT ON FUNCTION ST_IsRing(geometry ) IS 'args: g - Tests if a LineString is closed and simple.';
			
COMMENT ON FUNCTION ST_IsSimple(geometry ) IS 'args: geomA - Gibt den Wert (TRUE) zurück, wenn die Geometrie keine irregulären Stellen, wie Selbstüberschneidungen oder Selbstberührungen, aufweist.';
			
COMMENT ON FUNCTION ST_M(geometry ) IS 'args: a_point - Returns the M coordinate of a Point.';
			
COMMENT ON FUNCTION ST_NRings(geometry ) IS 'args: geomA - Gibt den Geometrietyp des ST_Geometry Wertes zurück.';
			
COMMENT ON FUNCTION ST_NDims(geometry ) IS 'args: g1 - Gibt die Dimension der Koordinaten für den Wert von ST_Geometry zurück.';
			
COMMENT ON FUNCTION ST_NPoints(geometry ) IS 'args: g1 - Gibt die Anzahl der Punkte (Knoten) einer Geometrie zurück.';
			
COMMENT ON FUNCTION ST_NRings(geometry ) IS 'args: geomA - Gibt die Anzahl der inneren Ringe einer Polygongeometrie aus.';
			
COMMENT ON FUNCTION ST_NumGeometries(geometry ) IS 'args: geom - Gibt die Anzahl der Punkte einer Geometrie zurück. Funktioniert für alle Geometrien.';
			
COMMENT ON FUNCTION ST_NumInteriorRings(geometry ) IS 'args: a_polygon - Gibt die Anzahl der inneren Ringe einer Polygongeometrie aus.';
			
COMMENT ON FUNCTION ST_NumInteriorRing(geometry ) IS 'args: a_polygon - Gibt die Anzahl der inneren Ringe eines Polygons in der Geometrie aus. Ist ein Synonym für ST_NumInteriorRings.';
			
COMMENT ON FUNCTION ST_NumPatches(geometry ) IS 'args: g1 - Gibt die Anzahl der Maschen einer polyedrischen Oberfläche aus. Gibt NULL zurück, wenn es sich nicht um polyedrische Geometrien handelt.';
			
COMMENT ON FUNCTION ST_NumPoints(geometry ) IS 'args: g1 - Gibt die Anzahl der Stützpunkte eines ST_LineString oder eines ST_CircularString zurück.';
			
COMMENT ON FUNCTION ST_PatchN(geometry , integer ) IS 'args: geomA, n - Gibt den Geometrietyp des ST_Geometry Wertes zurück.';
			
COMMENT ON FUNCTION ST_PointN(geometry , integer ) IS 'args: a_linestring, n - Gibt die Anzahl der Stützpunkte eines ST_LineString oder eines ST_CircularString zurück.';
			
COMMENT ON FUNCTION ST_Points(geometry) IS 'args: geom - Gibt einen MultiPoint zurück, welcher alle Koordinaten einer Geometrie enthält.';
			
COMMENT ON FUNCTION ST_StartPoint(geometry ) IS 'args: geomA - Returns the first point of a LineString.';
			
COMMENT ON FUNCTION ST_Summary(geometry ) IS 'args: g - Gibt eine Zusammenfassung des Inhalts einer Geometrie wieder.';
			
COMMENT ON FUNCTION ST_Summary(geography ) IS 'args: g - Gibt eine Zusammenfassung des Inhalts einer Geometrie wieder.';
			
COMMENT ON FUNCTION ST_X(geometry ) IS 'args: a_point - Returns the X coordinate of a Point.';
			
COMMENT ON FUNCTION ST_Y(geometry ) IS 'args: a_point - Returns the Y coordinate of a Point.';
			
COMMENT ON FUNCTION ST_Z(geometry ) IS 'args: a_point - Returns the Z coordinate of a Point.';
			
COMMENT ON FUNCTION ST_Zmflag(geometry ) IS 'args: geomA - Gibt die Dimension der Koordinaten von ST_Geometry zurück.';
			
COMMENT ON FUNCTION ST_AddPoint(geometry, geometry) IS 'args: linestring, point - Fügt einem Linienzug einen Punkt hinzu.';
			
COMMENT ON FUNCTION ST_AddPoint(geometry, geometry, integer) IS 'args: linestring, point, position - Fügt einem Linienzug einen Punkt hinzu.';
			
COMMENT ON FUNCTION ST_CollectionHomogenize(geometry ) IS 'args: collection - Von einer gegebenen (Sammel)Geometrie wird eine (Sammel)Geometrie zurückgegeben, welche nur die Elemente des vorgegebenen Datentyps enthält.';
			
COMMENT ON FUNCTION ST_CollectionExtract(geometry , integer ) IS 'args: collection, type - Von einer gegebenen (Sammel)Geometrie wird eine (Sammel)Geometrie zurückgegeben, welche nur die Elemente des vorgegebenen Datentyps enthält.';
			
COMMENT ON FUNCTION ST_CollectionHomogenize(geometry ) IS 'args: collection - Von einer gegebenen Sammelgeometrie wird die "einfachste" Darstellung der Inhalte zurückgegeben.';
			
COMMENT ON FUNCTION ST_TransScale(geometry , float, float, float, float) IS 'args: geomA, deltaX, deltaY, XFactor, YFactor - Converts a geometry containing curves to a linear geometry.';
			
COMMENT ON FUNCTION ST_Force2D(geometry ) IS 'args: geomA - Gibt die Geometrie in umgekehrter Knotenreihenfolge zurück.';
			
COMMENT ON FUNCTION ST_Force2D(geometry ) IS 'args: geomA - Die Geometrien in einen "2-dimensionalen Modus" zwingen.';
			
COMMENT ON FUNCTION ST_RotateX(geometry, float) IS 'args: geomA, rotRadians - Zwingt die Geometrien in einen XYZ Modus. Dies ist ein Alias für ST_Force3DZ.';
			
COMMENT ON FUNCTION ST_RotateZ(geometry, float) IS 'args: geomA, rotRadians - Zwingt die Geometrien in einen XYZ Modus.';
			
COMMENT ON FUNCTION ST_RotateX(geometry, float) IS 'args: geomA, rotRadians - Zwingt die Geometrien in einen XYM Modus.';
			
COMMENT ON FUNCTION ST_Snap(geometry , geometry , float ) IS 'args: input, reference, tolerance - Zwingt die Geometrien in einen XYZM Modus.';
			
COMMENT ON FUNCTION ST_ForcePolygonCCW(geometry) IS 'args: geom - Richtet alle äußeren Ringe gegen den Uhrzeigersinn und alle inneren Ringe mit dem Uhrzeigersinn aus.';
			
COMMENT ON FUNCTION ST_ForceCollection(geometry ) IS 'args: geomA - Wandelt eine Geometrie in eine GEOMETRYCOLLECTION um.';
			
COMMENT ON FUNCTION ST_ForcePolygonCW(geometry) IS 'args: geom - Richtet alle äußeren Ringe im Uhrzeigersinn und alle inneren Ringe gegen den Uhrzeigersinn aus.';
			
COMMENT ON FUNCTION ST_ForceSFS(geometry ) IS 'args: geomA - Erzwingt, dass Geometrien nur vom Typ SFS 1.1 sind.';
			
COMMENT ON FUNCTION ST_ForceSFS(geometry , text ) IS 'args: geomA, version - Erzwingt, dass Geometrien nur vom Typ SFS 1.1 sind.';
			
COMMENT ON FUNCTION ST_ForceRHR(geometry) IS 'args: g - Orientiert die Knoten in einem Polygon so, dass sie der Drei-Finger-Regel folgen.';
			
COMMENT ON FUNCTION ST_ForceCurve(geometry) IS 'args: g - Wandelt einen geometrischen in einen Kurven Datentyp um, soweit anwendbar.';
			
COMMENT ON FUNCTION ST_LineMerge(geometry ) IS 'args: amultilinestring - Gibt einen (Satz von) LineString(s) zurück, der aus einem MultiLinestring "zusammengebastelt" wird.';
			
COMMENT ON FUNCTION ST_Force2D(geometry ) IS 'args: geomA - Gibt die Geometrie als MULTI* Geometrie zurück.';
			
COMMENT ON FUNCTION ST_Multi(geometry ) IS 'args: g1 - Gibt die Geometrie als MULTI* Geometrie zurück.';
			
COMMENT ON FUNCTION ST_Normalize(geometry ) IS 'args: geom - Gibt die Geometrie in Normalform zurück.';
			
COMMENT ON FUNCTION ST_QuantizeCoordinates(geometry, int, int, int, int) IS 'args: g, prec_x, prec_y, prec_z, prec_m - Setzt die niedrigwertigsten Bits der Koordinaten auf Null';
			
COMMENT ON FUNCTION ST_RemovePoint(geometry, integer) IS 'args: linestring, offset - Entfernt einen Punkt aus einem Linienzug.';
			
COMMENT ON FUNCTION ST_RotateY(geometry, float) IS 'args: geomA, rotRadians - Gibt die Geometrie in umgekehrter Knotenreihenfolge zurück.';
			
COMMENT ON FUNCTION ST_Reverse(geometry ) IS 'args: g1 - Gibt die Geometrie in umgekehrter Knotenreihenfolge zurück.';
			
COMMENT ON FUNCTION ST_Segmentize(geometry , float ) IS 'args: geom, max_segment_length - Gibt eine veränderte Geometrie/Geographie zurück, bei der kein Sement länger als der gegebene Abstand ist.';
			
COMMENT ON FUNCTION ST_Segmentize(geography , float ) IS 'args: geog, max_segment_length - Gibt eine veränderte Geometrie/Geographie zurück, bei der kein Sement länger als der gegebene Abstand ist.';
			
COMMENT ON FUNCTION ST_SetPoint(geometry, integer, geometry) IS 'args: linestring, zerobasedposition, point - Einen Punkt eines Linienzuges durch einen gegebenen Punkt ersetzen.';
			
COMMENT ON FUNCTION ST_Force2D(geometry ) IS 'args: geomA - Shifts a geometry with geographic coordinates between -180..180 and 0..360.';
			
COMMENT ON FUNCTION ST_Snap(geometry , geometry , float ) IS 'args: input, reference, tolerance - Wrap a geometry around an X value.';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , float , float , float , float ) IS 'args: geomA, originX, originY, sizeX, sizeY - Fängt alle Punkte der Eingabegeometrie auf einem regelmäßigen Gitter.';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , float , float ) IS 'args: geomA, sizeX, sizeY - Fängt alle Punkte der Eingabegeometrie auf einem regelmäßigen Gitter.';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , float ) IS 'args: geomA, size - Fängt alle Punkte der Eingabegeometrie auf einem regelmäßigen Gitter.';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , geometry , float , float , float , float ) IS 'args: geomA, pointOrigin, sizeX, sizeY, sizeZ, sizeM - Fängt alle Punkte der Eingabegeometrie auf einem regelmäßigen Gitter.';
			
COMMENT ON FUNCTION ST_Snap(geometry , geometry , float ) IS 'args: input, reference, tolerance - Fängt die Segmente und Knoten einer Eingabegeometrie an den Knoten einer Referenzgeometrie.';
			
COMMENT ON FUNCTION ST_SetSRID(geometry , integer ) IS 'args: geom, srid - Gibt die Geometrie in umgekehrter Knotenreihenfolge zurück.';
			
COMMENT ON FUNCTION ST_Area(geometry ) IS 'args: g1 - Gibt den geometrischen Schwerpunkt einer Geometrie zurück.';
			
COMMENT ON FUNCTION ST_Area(geography , boolean ) IS 'args: geog, use_spheroid=true - Gibt den geometrischen Schwerpunkt einer Geometrie zurück.';
			
COMMENT ON FUNCTION ST_Azimuth(geometry , geometry ) IS 'args: pointA, pointB - Gibt den auf die Nordrichtung bezogenen Azimut in Radiant zurück. Der Winkel wird von einer Senkrechten auf "pointA" nach pointB im Uhrzeigersinn gemessen.';
			
COMMENT ON FUNCTION ST_Azimuth(geography , geography ) IS 'args: pointA, pointB - Gibt den auf die Nordrichtung bezogenen Azimut in Radiant zurück. Der Winkel wird von einer Senkrechten auf "pointA" nach pointB im Uhrzeigersinn gemessen.';
			
COMMENT ON FUNCTION ST_Angle(geometry , geometry , geometry , geometry ) IS 'args: point1, point2, point3, point4 - Gibt den Winkel zwischen 3 Punkten oder zwischen 2 Vektoren (4 Punkte oder 2 Linien) zurück.';
			
COMMENT ON FUNCTION ST_Angle(geometry , geometry ) IS 'args: line1, line2 - Gibt den Winkel zwischen 3 Punkten oder zwischen 2 Vektoren (4 Punkte oder 2 Linien) zurück.';
			
COMMENT ON FUNCTION ST_ClosestPoint(geometry , geometry ) IS 'args: g1, g2 - Gibt den 3-dimensionalen Punkt auf g1 zurück, der den kürzesten Abstand zu g2 hat. Dies ist der Anfangspunkt des kürzesten Abstands in 3D.';
			
COMMENT ON FUNCTION ST_3DClosestPoint(geometry , geometry ) IS 'args: g1, g2 - Gibt den 3-dimensionalen Punkt auf g1 zurück, der den kürzesten Abstand zu g2 hat. Dies ist der Anfangspunkt des kürzesten Abstands in 3D.';
			
COMMENT ON FUNCTION ST_HausdorffDistance(geometry , geometry ) IS 'args: g1, g2 - Gibt die größte 3-dimensionale Distanz zwischen zwei geometrischen Objekten als Linie zurück';
			
COMMENT ON FUNCTION ST_HausdorffDistance(geometry , geometry , float) IS 'args: g1, g2, densifyFrac - Gibt die größte 3-dimensionale Distanz zwischen zwei geometrischen Objekten als Linie zurück';
			
COMMENT ON FUNCTION ST_3DDistance(geometry , geometry ) IS 'args: g1, g2 - Für den geometrischen Datentyp. Es wird der geringste 3-dimensionale kartesische Abstand (basierend auf dem Koordinatenreferenzsystem) zwischen zwei geometrischen Objekten in projizierten Einheiten zurückgegeben.';
			
COMMENT ON FUNCTION ST_DistanceSphere(geometry , geometry ) IS 'args: geomlonlatA, geomlonlatB - Gibt die kürzeste Distanz zwischen zwei geometrischen Objekten zurück, die über Länge, Breite und ein bestimmtes Referenzellipsoid gegeben sind. Vorgängerversionen von PostGIS 1.5 unterstützten nur Punkte.';
			
COMMENT ON FUNCTION ST_DistanceSpheroid(geometry , geometry , spheroid ) IS 'args: geomlonlatA, geomlonlatB, measurement_spheroid - Gibt die kürzeste Distanz zwischen zwei geometrischen Objekten zurück, die über Länge, Breite und ein bestimmtes Referenzellipsoid gegeben sind. Vorgängerversionen von PostGIS 1.5 unterstützten nur Punkte.';
			
COMMENT ON FUNCTION ST_FrechetDistance(geometry , geometry , float) IS 'args: g1, g2, densifyFrac = -1 - Gibt den kürzesten 3-dimensionalen Abstand zwischen zwei geometrischen Objekten als Linie zurück';
			
COMMENT ON FUNCTION ST_HausdorffDistance(geometry , geometry ) IS 'args: g1, g2 - Gibt den kürzesten 3-dimensionalen Abstand zwischen zwei geometrischen Objekten als Linie zurück';
			
COMMENT ON FUNCTION ST_HausdorffDistance(geometry , geometry , float) IS 'args: g1, g2, densifyFrac - Gibt den kürzesten 3-dimensionalen Abstand zwischen zwei geometrischen Objekten als Linie zurück';
			
COMMENT ON FUNCTION ST_Length(geometry ) IS 'args: a_2dlinestring - Gibt den geometrischen Schwerpunkt einer Geometrie zurück.';
			
COMMENT ON FUNCTION ST_Length(geography , boolean ) IS 'args: geog, use_spheroid=true - Gibt den geometrischen Schwerpunkt einer Geometrie zurück.';
			
COMMENT ON FUNCTION ST_Length2D(geometry ) IS 'args: a_2dlinestring - Gibt die 2-dimensionale Länge einer Linie oder einer Mehrfachlinie zurück. Dies ist ein Alias für ST_Length';
			
COMMENT ON FUNCTION ST_3DLength(geometry ) IS 'args: a_3dlinestring - Gibt den geometrischen Schwerpunkt einer Geometrie zurück.';
			
COMMENT ON FUNCTION ST_LengthSpheroid(geometry , spheroid ) IS 'args: a_geometry, a_spheroid - Gibt den geometrischen Schwerpunkt einer Geometrie zurück.';
			
COMMENT ON FUNCTION ST_LongestLine(geometry , geometry ) IS 'args: g1, g2 - Gibt die größte 3-dimensionale Distanz zwischen zwei geometrischen Objekten als Linie zurück';
			
COMMENT ON FUNCTION ST_3DLongestLine(geometry , geometry ) IS 'args: g1, g2 - Gibt die größte 3-dimensionale Distanz zwischen zwei geometrischen Objekten als Linie zurück';
			
COMMENT ON FUNCTION ST_MaxDistance(geometry , geometry ) IS 'args: g1, g2 - Gibt die größte 2-dimensionale Distanz zwischen zwei geometrischen Objekten in projizierten Einheiten zurück.';
			
COMMENT ON FUNCTION ST_3DMaxDistance(geometry , geometry ) IS 'args: g1, g2 - Für den geometrischen Datentyp. Gibt die maximale 3-dimensionale kartesische Distanz (basierend auf dem Koordinatenreferenzsystem) zwischen zwei geometrischen Objekten in projizierten Einheiten zurück.';
			
COMMENT ON FUNCTION ST_MinimumClearance(geometry ) IS 'args: g - Gibt das Mindestabstandsmaß für eine Geometrie zurück; ein Maß für die Robustheit einer Geometrie.';
			
COMMENT ON FUNCTION ST_MinimumClearanceLine(geometry ) IS 'args: g - Gibt ein Linienstück mit zwei Punkten zurück, welche sich über das Mindestabstandsmaß erstreckt.';
			
COMMENT ON FUNCTION ST_Perimeter(geometry ) IS 'args: g1 - Returns the length of the boundary of a polygonal geometry or geography.';
			
COMMENT ON FUNCTION ST_Perimeter(geography , boolean ) IS 'args: geog, use_spheroid=true - Returns the length of the boundary of a polygonal geometry or geography.';
			
COMMENT ON FUNCTION ST_Perimeter2D(geometry ) IS 'args: geomA - Returns the 2D perimeter of a polygonal geometry. Alias for ST_Perimeter.';
			
COMMENT ON FUNCTION ST_3DPerimeter(geometry ) IS 'args: geomA - Gibt den geometrischen Schwerpunkt einer Geometrie zurück.';
			
COMMENT ON FUNCTION ST_Project(geography , float , float ) IS 'args: g1, distance, azimuth - Gibt einen POINT zurück, der von einem Anfangspunkt weg, entsprechend einer Distanz in Meter und einer Peilung (Azimut) in Radiant, projiziert wird.';
			
COMMENT ON FUNCTION ST_ShortestLine(geometry , geometry ) IS 'args: g1, g2 - Gibt die 2-dimenionale kürzeste Strecke zwischen zwei Geometrien als Linie zurück';
			
COMMENT ON FUNCTION ST_3DShortestLine(geometry , geometry ) IS 'args: g1, g2 - Gibt den kürzesten 3-dimensionalen Abstand zwischen zwei geometrischen Objekten als Linie zurück';
			
COMMENT ON FUNCTION ST_LineInterpolatePoint(geometry , float8 ) IS 'args: a_linestring, a_fraction - Fügt einen Punkt entlang einer Linie ein. Der zweite Parameter, in Float8-Darstellung mit den Werten von 0 bis 1, gibt jenen Bruchteil der Gesamtlänge des Linienzuges an, wo der Punkt liegen soll.';
			
COMMENT ON FUNCTION ST_LineInterpolatePoint(geometry , float8 ) IS 'args: a_linestring, a_fraction - Fügt einen Punkt entlang einer Linie ein. Der zweite Parameter, in Float8-Darstellung mit den Werten von 0 bis 1, gibt jenen Bruchteil der Gesamtlänge des Linienzuges an, wo der Punkt liegen soll.';
			
COMMENT ON FUNCTION ST_LineInterpolatePoints(geometry , float8 , boolean ) IS 'args: a_linestring, a_fraction, repeat - Gibt einen oder mehrere, entlang einer Linie interpolierte Punkte zurück.';
			
COMMENT ON FUNCTION ST_LineLocatePoint(geometry , geometry ) IS 'args: a_linestring, a_point - Gibt eine Gleitpunktzahl zwischen 0 und 1 zurück, welche die Lage des Punktes auf einer Linie angibt, der zu einem gegebenen Punkt am nächsten liegt. Die Lage wird als Anteil an der Gesamtlänge der 2D Linie angegeben.';
			
COMMENT ON FUNCTION ST_LineSubstring(geometry , float8 , float8 ) IS 'args: a_linestring, startfraction, endfraction - Gibt ein Linienstück zurück, dass ein Teil des gegebenen Linienzuges ist und den Anfang und das Ende an gegebenen Anteilen der 2D-Gesamtlänge hat. Der zweite und der dritte Übergabewert sind Werte in float8 zwischen 0 und 1.';
			
COMMENT ON FUNCTION ST_LocateAlong(geometry , float8 , float8 ) IS 'args: ageom_with_measure, a_measure, offset - Gibt eine abgeleitete Sammelgeometrie zurück, welche jene Elemente enthält die mit dem gegebenen Kilometrierungsmaß zusammenpassen. Polygonale Elemente werden nicht untersützt.';
			
COMMENT ON FUNCTION ST_LocateBetween(geometry , float8 , float8 , float8 ) IS 'args: geomA, measure_start, measure_end, offset - Gibt eine abgeleitete Sammelgeometrie mit jenen Elementen zurück, die in dem gegebenen Kilometrierungsintervall liegen; das Intervall ist unbeschränkt. Polygonale Elemente werden nicht untersützt.';
			
COMMENT ON FUNCTION ST_LocateBetweenElevations(geometry , float8 , float8 ) IS 'args: geom_mline, elevation_start, elevation_end - Gibt eine abgeleitete Sammelgeometrie zurück, welche jene Elemente enthält die mit dem gegebenen Kilometrierungsmaß zusammenpassen. Polygonale Elemente werden nicht untersützt.';
			
COMMENT ON FUNCTION ST_InterpolatePoint(geometry , geometry ) IS 'args: line, point - Für einen gegebenen Punkt wird die Kilometrierung auf dem nächstliegenden Punkt einer Geometrie zurück.';
			
COMMENT ON FUNCTION ST_AddMeasure(geometry , float8 , float8 ) IS 'args: geom_mline, measure_start, measure_end - Gibt eine abgeleitete Geometrie mit einer zwischen Anfangs- und Endpunkt linear interpolierten Kilometrierung zurück.';
			
COMMENT ON FUNCTION AddAuth(text ) IS 'args: auth_token - Fügt einen Berechtigungsschlüssel für die aktuelle Transaktion hinzu.';
			
COMMENT ON FUNCTION CheckAuth(text , text , text ) IS 'args: a_schema_name, a_table_name, a_key_column_name - Legt einen Trigger auf eine Tabelle an um, basierend auf einen Token, Updates und Deletes von Zeilen zu verhindern oder zu erlauben.';
			
COMMENT ON FUNCTION CheckAuth(text , text ) IS 'args: a_table_name, a_key_column_name - Legt einen Trigger auf eine Tabelle an um, basierend auf einen Token, Updates und Deletes von Zeilen zu verhindern oder zu erlauben.';
			
COMMENT ON FUNCTION DisableLongTransactions() IS 'DisableLongTransactions';
			
COMMENT ON FUNCTION EnableLongTransactions() IS 'EnableLongTransactions';
			
COMMENT ON FUNCTION LockRow(text , text , text , text, timestamp) IS 'args: a_schema_name, a_table_name, a_row_key, an_auth_token, expire_dt - Setzt einen Lock/Autorisierung auf eine bestimmte Zeile in der Tabelle';
			
COMMENT ON FUNCTION LockRow(text , text , text, timestamp) IS 'args: a_table_name, a_row_key, an_auth_token, expire_dt - Setzt einen Lock/Autorisierung auf eine bestimmte Zeile in der Tabelle';
			
COMMENT ON FUNCTION LockRow(text , text , text) IS 'args: a_table_name, a_row_key, an_auth_token - Setzt einen Lock/Autorisierung auf eine bestimmte Zeile in der Tabelle';
			
COMMENT ON FUNCTION UnlockRows(text ) IS 'args: auth_token - Removes all locks held by an authorization token.';
			